org.apache.commons.collections4.bidimap

## Class AbstractDualBidiMap.MapEntry<K,V>

- java.lang.Object
- - org.apache.commons.collections4.keyvalue.AbstractMapEntryDecorator<K,V>
  - - org.apache.commons.collections4.bidimap.AbstractDualBidiMap.MapEntry<K,V>

- All Implemented Interfaces:
    Map.Entry<K,V>, KeyValue<K,V>
  Enclosing class:
    AbstractDualBidiMap<K,V>

      protected static class AbstractDualBidiMap.MapEntry<K,V>
      extends AbstractMapEntryDecorator<K,V>

  Inner class MapEntry.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractDualBidiMap<K,V>` | `parent` The parent map

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MapEntry(Map.Entry<K,V> entry, AbstractDualBidiMap<K,V> parent)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `setValue(V value)`

    - ### Methods inherited from class org.apache.commons.collections4.keyvalue.AbstractMapEntryDecorator

      `equals, getKey, getMapEntry, getValue, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue`

- - ### Field Detail

    - #### parent

          protected final AbstractDualBidiMap<K,V> parent

      The parent map

  - ### Constructor Detail

    - #### MapEntry

          protected MapEntry(Map.Entry<K,V> entry,
                             AbstractDualBidiMap<K,V> parent)

      Constructor.
      Parameters:
        `entry` - the entry to decorate
        `parent` - the parent map

  - ### Method Detail

    - #### setValue

          public V setValue(V value)

      Specified by:
        `setValue` in interface `Map.Entry<K,V>`
      Overrides:
        `setValue` in class `AbstractMapEntryDecorator<K,V>`

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.